;-----------------------------------------------------------------------------------
; BareNumbersOS v.0.2 - GPL3 - Apr 2012
;
;-----------------------------------------------------------------------------------
; Splash function (temporary)
;
; Based on long mode examples by Mac2004
; available at FASM board.
;-----------------------------------------------------------------------------------

;------------------------------------------------------------
; PM_FillBg_VBE - Fill Background using VBE
;
; input:  --
; output: --
;------------------------------------------------------------
PM_FillBg_VBE:

	pusha

        ;--------------------------------------------------
        ;Put something to LFB memory.
	;This filler works because we're in protected mode
        ;--------------------------------------------------
        mov     ebx, dword[ModeInfoBlockPtr.phys_flat_adr]          ;get LFB pointer
        mov     dword[LFB_start],ebx                                ;save for later use

	mov	ecx,640*480*2
        mov     ebx,dword[LFB_start]

.fill_background:
        mov     word[ebx], 4300-500
        add     ebx,2
        loop   .fill_background

	popa
	ret


; ===================================================================================================
; EOF
