;-----------------------------------------------------------------------------------
; BareNumbersOS v.0.2 - GPL3 - Apr 2012
;
;-----------------------------------------------------------------------------------
;
; USA ASCII KeyMap
;-----------------------------------------------------------------------------------


;====================================================;
; Normal Keymap.                                     ;
;====================================================; 
normal_keymap_US:
db      0,  _esc,  '1', '2',  '3',     '4',     '5',   '6',   '7',   '8',     '9',   '0',    '-',   '=', _bspace, _tab ; 0-15
db    'q',   'w',  'e', 'r',  't',     'y',     'u',   'i',   'o',   'p',     '[',   ']', _enter, _ctrl,     'a',  's' ; 16-31
db    'd',   'f',  'g', 'h',  'j',     'k',     'l',   ';',    39,   '`', _lshift,   '\',    'z',   'x',     'c',  'v' ; 32-47
db    'b',   'n',  'm', ',',  '.',     '/', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,       0,  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255

;====================================================;
; Shift Keymap.                                      ;
;====================================================; 
shift_keymap_US:
db      0,  _esc,  '!', '@',  '#',     '$',     '%',   '^',   '&',   '*',     '(',   ')',    '_',   '+', _bspace, _tab ; 0-15
db    'Q',   'W',  'E', 'R',  'T',     'Y',     'U',   'I',   'O',   'P',     '{',   '}', _enter, _ctrl,     'A',  'S' ; 16-31
db    'D',   'F',  'G', 'H',  'J',     'K',     'L',   ':',   '"',   '~', _lshift,   '|',    'Z',   'X',     'C',  'V' ; 32-47
db    'B',   'N',  'M', '<',  '>',     '?', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,       0,  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255

;====================================================;
; Caplock Keymap.                                    ;
;====================================================; 
caplock_keymap_US:
db      0,  _esc,  '1', '2',  '3',     '4',     '5',   '6',   '7',   '8',     '9',   '0',    '-',   '=', _bspace, _tab ; 0-15
db    'Q',   'W',  'E', 'R',  'T',     'Y',     'U',   'I',   'O',   'P',     '[',   ']', _enter, _ctrl,     'A',  'S' ; 16-31
db    'D',   'F',  'G', 'H',  'J',     'K',     'L',   ';',    39,   '`', _lshift,   '\',    'Z',   'X',     'C',  'V' ; 32-47
db    'B',   'N',  'M', ',',  '.',     '/', _rshift, _prscr, _alt,   ' ',   _caps,   _f1,    _f2,   _f3,     _f4,  _f5 ; 48-63
db    _f6,   _f7,  _f8, _f9, _f10, _nmlock, _sclock, _home, _arup, _pgup,       0, _arlf,      0, _arrg,       0, _end ; 64-79
db  _ardw, _pgdw, _ins, _del,   0,       0,       0,  _f11,  _f12,     0,       0, _lwin,  _rwin, _menu,       0,    0 ; 80-95
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 96-111
db      0,     0,    0,   0,    0,       0,       0,     0,     0,     0,       0,     0,      0,     0,       0,    0 ; 112-127
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255

;====================================================;
; Alt Keymap.                                        ;
;====================================================; 
alt_keymap_US:
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,    0,   0,   0,   0,   0,   0,   0,   0,   0
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255

;====================================================;
; Ctrl Keymap.                                       ;
;====================================================; 
ctrl_keymap_US:
db	0,   0,  127,  127, 127, 127, 127, 127, 127, 127, 127, 127,  0,  0,  127, 127
db	17,  23,  5,   18,  20,  25,  21,  9,   15,  16,  0,   0,  127,  0,   1,   19
db	4,   6,   7,   8,   10,  11,  12,  0,   0,   0,   0,   0,   26,  24,  3,   22
db	2,   14,  13,  0,   0,   0,   0,   0,   0,   0,   0,  127, 127, 127, 127, 127
db	127, 127, 127, 127, 127, 0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,  127, 127,  0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
db	0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255
db      255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255 ,255

